Quantcast

Failed upgrade

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Failed upgrade

Brian Blandford
I tried to upgrade my happily functioning 1.* gramps to 2.0.1-1 via the
mdk.noarch rpm, and for the first time ever with a Gramps upgrade
(always worked smoothly before) things have gone awry.
Trying to run it, I get the message:

Traceback (most recent call last):
  File "/usr/share/gramps/gramps.py", line 81, in ?
    import gramps_main
  File "/usr/share/gramps/gramps_main.py", line 57, in ?
    import PedView
  File "/usr/share/gramps/PedView.py", line 49, in ?
    import GrampsCfg
  File "/usr/share/gramps/GrampsCfg.py", line 49, in ?
    import Utils
  File "/usr/share/gramps/Utils.py", line 50, in ?
    import GrampsMime
  File "/usr/share/gramps/GrampsMime.py", line 24, in ?
    from gnome.vfs import mime_get_short_list_applications,
mime_get_description, get_mime_type
ImportError: cannot import name mime_get_short_list_applications

What has gone wrong, and what can I do to get it working?

I am running PCLinux OS - Mandrake rpms usually work OK with this OS.

Brian B.



-------------------------------------------------------
This SF.Net email is sponsored by Yahoo.
Introducing Yahoo! Search Developer Network - Create apps using Yahoo!
Search APIs Find out how you can build Yahoo! directly into your own
Applications - visit http://developer.yahoo.net/?fr=offad-ysdn-ostg-q22005
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Failed upgrade

Alex Roitman
Brian,

On 05/26/2005 11:24:46 AM, Brian E. Blandford wrote:

> I tried to upgrade my happily functioning 1.* gramps to 2.0.1-1 via the
> mdk.noarch rpm, and for the first time ever with a Gramps upgrade
> (always worked smoothly before) things have gone awry.
> Trying to run it, I get the message:
>
> Traceback (most recent call last):
>   File "/usr/share/gramps/gramps.py", line 81, in ?
>     import gramps_main
>   File "/usr/share/gramps/gramps_main.py", line 57, in ?
>     import PedView
>   File "/usr/share/gramps/PedView.py", line 49, in ?
>     import GrampsCfg
>   File "/usr/share/gramps/GrampsCfg.py", line 49, in ?
>     import Utils
>   File "/usr/share/gramps/Utils.py", line 50, in ?
>     import GrampsMime
>   File "/usr/share/gramps/GrampsMime.py", line 24, in ?
>     from gnome.vfs import mime_get_short_list_applications,
> mime_get_description, get_mime_type
> ImportError: cannot import name mime_get_short_list_applications
>
> What has gone wrong, and what can I do to get it working?
Your gnome-python seems to be incomplete. Have you built it
yourself?

Alex

--
Alexander Roitman   http://www.gramps-project.org


attachment0 (196 bytes) Download Attachment
Loading...